# eric6.Preferences.ConfigurationPages.EditorHighlightersPage

Module implementing the Editor Highlighter Associations configuration page.

### Global Attributes

None

### Classes

EditorHighlightersPage | Class implementing the Editor Highlighter Associations configuration page.

### Functions

create | Module function to create the configuration page.

## EditorHighlightersPage

Class implementing the Editor Highlighter Associations configuration page.

### Derived from

ConfigurationPageBase, Ui_EditorHighlightersPage

### Class Attributes

None

### Class Methods

None

### Methods

EditorHighlightersPage | Constructor
on_addLexerButton_clicked | Private slot to add the lexer association displayed to the list.
on_deleteLexerButton_clicked | Private slot to delete the currently selected lexer association of the list.
on_editorLexerCombo_currentIndexChanged | Private slot to handle the selection of a lexer.
on_editorLexerList_itemActivated | Private slot to handle the activated signal of the lexer association list.
on_editorLexerList_itemClicked | Private slot to handle the clicked signal of the lexer association list.
save | Public slot to save the Editor Highlighter Associations configuration.

### Static Methods

None

#### EditorHighlightersPage (Constructor)

EditorHighlightersPage(lexers)

Constructor

lexers
  reference to the lexers dictionary

#### EditorHighlightersPage.on_addLexerButton_clicked

on_addLexerButton_clicked()

Private slot to add the lexer association displayed to the list.

#### EditorHighlightersPage.on_deleteLexerButton_clicked

on_deleteLexerButton_clicked()

Private slot to delete the currently selected lexer association of the list.

#### EditorHighlightersPage.on_editorLexerCombo_currentIndexChanged

on_editorLexerCombo_currentIndexChanged(text)

Private slot to handle the selection of a lexer.

text
  text of the lexer combo (string)

#### EditorHighlightersPage.on_editorLexerList_itemActivated

on_editorLexerList_itemActivated(itm, column)

Private slot to handle the activated signal of the lexer association list.

itm
  reference to the selecte item (QTreeWidgetItem)
column
  column the item was clicked or activated (integer) (ignored)

#### EditorHighlightersPage.on_editorLexerList_itemClicked

on_editorLexerList_itemClicked(itm, column)

Private slot to handle the clicked signal of the lexer association list.

itm
  reference to the selecte item (QTreeWidgetItem)
column
  column the item was clicked or activated (integer) (ignored)

#### EditorHighlightersPage.save

save()

Public slot to save the Editor Highlighter Associations configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up